# Record Class ARI1SampleMapID

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1SampleMapID

Record Components:
  `group` - The group
  `name` - The name
  `version` - The version

All Implemented Interfaces:
  `Comparable<ARI1SampleMapID>`

public record ARI1SampleMapID(ARI1DottedName group, ARI1DottedName name, ARI1Version version) extends Record implements Comparable<ARI1SampleMapID>
The identifier of a sample map.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1SampleMapID(ARI1DottedName group, ARI1DottedName name, ARI1Version version)`
  The identifier of a sample map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ARI1SampleMapID other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `ARI1DottedName`
  `group()`
  Returns the value of the `group` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ARI1DottedName`
  `name()`
  Returns the value of the `name` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `ARI1Version`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1SampleMapID

    public ARI1SampleMapID(ARI1DottedName group, ARI1DottedName name, ARI1Version version)
    The identifier of a sample map.
    Parameters:
      `group` - The group
      `name` - The name
      `version` - The version

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(ARI1SampleMapID other)
    Specified by:
      `compareTo` in interface `Comparable<ARI1SampleMapID>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### group

    public ARI1DottedName group()
    Returns the value of the `group` record component.
    Returns:
      the value of the `group` record component

  - ### name

    public ARI1DottedName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### version

    public ARI1Version version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component